# PayPal Refund

Refunds a captured payment by ID. &#x20;

* For a full refund, include an empty payload in the JSON request body
* For a partial refund, include an `amount` object in the JSON request body

{% hint style="info" %}
A valid JWT Token is required to make the API call.
{% endhint %}

## Required fields

There are no required fields for the Refund API.

## Optional fields

* reason - The reason for the refund. Appears in both the payer's transaction history and the emails that the payer receives.
* amount - The `amount` object tells the amount to refund. If not provided, whole amount will be refunded.
* amount.value - Amount to refund. Always expects integer (112 will be 1.12 for USD/ EUR. For most currencies, 1000 is equal to 10; it depends on the number of digits after the decimal separator. You can see the list of all currencies [here](https://en.wikipedia.org/wiki/ISO_4217#Active_codes)).
* amount.currencyCode - Currency code (ISO-4217)

## Refunding a payment

Here is an example request that can be used for refunding a transaction payment:

* **POST** `/transactions/{id}/refund`

```json
{
    "amount": {
        "value": "1099",
        "currencyCode": "USD"
    },
   "reason": "defected product"
}
```

{% hint style="info" %}
You can make the request with empty body. In that case, full amount will be refunded.
{% endhint %}

The response for refund transaction payment will look like this:

```json
{
    "id": "6a0ff62c-a869-47c1-a380-3298d9718a42",
    "refundId": "123456",
    "status": "AUTHORISED",
    "createdAt": "2020-07-10T21:20:49Z",
}
```

**Response fields** are:

* id - the transaction ID&#x20;
* refundId - ID saved on PayPal for this refund
* status - the current status for the transaction
* createdAt - the datetime when the refund was created


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-refund.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
